#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDC,0x2C,0x50,0x48,0x15,0xC5,0x39,0x0A,0x07,0x5F,0x98,0x51,
		0xEB,0x89,0x7C,0x9C,0xC4,0x0B,0x6B,0x5C,0xB0,0xF6,0x2F,0x78,
		0xA4,0xDF,0x70,0x86,0x62,0x5C,0x3F,0x74,0x12,0xD8,0x8A,0x73,
		0xD6,0x5E,0xE2,0xF1,0x7C,0xB3,0x45,0x62,0x48,0x4C,0x18,0x4B,
		0x4C,0x2A,0x78,0xFE,0x8F,0x4E,0x28,0x75,0x69,0x68,0xA4,0x4B,
		0x3A,0x9D,0x33,0xFB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
